curl --request GET \ --url 'https://api.e2enetworks.com/myaccount/api/v1/cdpbackup/plans/?project_id=<PROJECT_ID>&apikey=<API_KEY>&location=<LOCATION>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.get( "https://api.e2enetworks.com/myaccount/api/v1/cdpbackup/plans/", params={"project_id": "<PROJECT_ID>", "apikey": "<API_KEY>", "location": "<LOCATION>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/cdpbackup/plans/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", apikey: "<API_KEY>", location: "<LOCATION>" });
const response = await fetch(url, { method: "GET", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”Identifier of the project to scope the request to. Required integer project ID.
Example
<PROJECT_ID>API key used to authenticate the request
Example
<API_KEY>The geographic location for the backup plan.
Example
<LOCATION>Responses
Section titled “Responses”Successful response
object
HTTP status code indicating the result of the backup plan request
object
Identifier of the backup plan
Name of the backup plan
Type identifier of the backup plan
Type of backup schedule (e.g., HOURLY)
Number of hours between each backup execution
object
Maximum number of hourly backups to retain
Maximum number of daily backups to retain
Maximum number of weekly backups to retain
Maximum number of monthly backups to retain
Maximum number of yearly backups to retain
object
Status message indicating the result of the backup plan operation
Indicates whether the backup plan can be activated
Example
{ "code": 200, "data": [ { "plan_id": 1, "plan_name": "Regular Plan", "plan_type": "DEFAULT", "schedule_type": "HOURLY", "hourly_interval": 6, "retention_settings": { "hourlyLimit": 12, "dailyLimit": 14, "weeklyLimit": 4, "monthlyLimit": 2, "yearlyLimit": 0 } } ], "message": "Success", "can_activate_backup": true}